Delete bucket
curl --request DELETE \
--url https://api.example.com/api/s3/buckets/{bucket_name} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/s3/buckets/{bucket_name}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/s3/buckets/{bucket_name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Object storage
Delete bucket
Delete an existing S3 bucket from the system.
DELETE
/
api
/
s3
/
buckets
/
{bucket_name}
Delete bucket
Authorizations
OAuth2AuthorizationCodeBearerAPIKeyHeader
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The unique name of the S3 bucket to delete.
Response
Bucket deleted successfully.
The response is of type string.
Was this page helpful?
⌘I

